package io.tswf.minecraft.blockventure.modloader.exception

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.modloader.meta.ModMetadata

@CompileStatic
class InvalidModDescriptionException extends RuntimeException {
    ModMetadata modMeta

    InvalidModDescriptionException(String message = "", ModMetadata modMeta) {
        super("There is invalid mod description for ${modMeta.toShortString()}: ${message}")
        this.modMeta = modMeta
    }
}
